Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452234 - Preventing cluster services to run at boot
Summary: Preventing cluster services to run at boot
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: cluster
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Fabio Massimo Di Nitto
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-20 13:19 UTC by Federico Simoncelli
Modified: 2011-01-06 11:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-06 11:05:38 UTC


Attachments (Terms of Use)

Description Federico Simoncelli 2008-06-20 13:19:13 UTC
Description of problem:

A different boot sequence is needed to safely power up a fenced node and
therefore skipping the cluster services to avoid problems such as long waits and
fences in a two-nodes configuration.
A solution could involve setting a boot parameter (eg: nocluster) to prevent
cman/gfs/rgmanager to start automatically.

References:
https://www.redhat.com/archives/linux-cluster/2008-June/msg00143.html
https://www.redhat.com/archives/linux-cluster/2008-June/msg00158.html

The check could be accomplished with few lines of code inside man/gfs/rgmanager
init files, eg:

if strstr "$( cat /proc/cmdline )" "nocluster"; then
  # ...
  exit 0;
fi

This solution will also make impossible to start the services manually later on,
is there a way to remove this side effect?

Comment 1 Lon Hohberger 2008-06-24 17:09:03 UTC
Various things come to mind --

  Check the runlevel/previous runlevel
  Check the ppid of the script (maybe it's /sbin/init during boot)?


Comment 2 Fabio Massimo Di Nitto 2008-06-27 08:10:12 UTC
We can also use the approach of touching a file, but for sure not in /etc. It
has to be somewhere like /tmp and we need to make sure we can actually do it,
otherwise we are back at the original problem.

Comment 3 Fabio Massimo Di Nitto 2009-05-05 03:49:10 UTC
Federico,

did you ever have time to propose a patch for this bug?

This is what we agreed last on the mailing list I believe.

Thanks
Fabio

Comment 4 Fabio Massimo Di Nitto 2010-02-11 14:03:47 UTC
For the record: another approach could use a duet-init-script sequence.

cman-bootcheck -> parses /proc/cmdline and touch/not touch a file

cman checks for that file and warn.

user can remove the file and start cman even after boot as cman-bootcheck will never run again.


Note You need to log in before you can comment on or make changes to this bug.